Credentials
Manage customer credentials.
Sends a request to change a customer email address. As a result, the customer receives a unique token through email.
Note: The request needs to be authorized with a customer access token.
Request for changing login email token using current email id and password requires the customer.customerprofile_edit scope assigned with the customer access token.
To generate a customer access token, go to the Logging in a customer endpoint.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$Customer email address currently used for logging in.
Customer account password.
Customer new email address.
Flag indicating whether the contactEmail should be changed to the new email address.
falseNo Content
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
POST /customer/{tenant}/me/accounts/internal/email/change HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 114
{
"email": "example@customer.com",
"password": "password123",
"newEmail": "example@emporix.com",
"syncContactEmail": true
}No content
Updates a customer email address using the token received through email.
Note: The request needs to be authorized with a anonymous access token.
To generate an anonymous token, check out the Requesting an anonymous token endpoint.
The tenant string is the project's Identifier from the Builder.
Token received by the customer through email.
No Content
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
POST /customer/{tenant}/me/accounts/internal/email/change/confirm HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76
{
"token": "beExUmshJC5gnuXk1kET5dCLyQWkrAfKRGFOxVXLcJI13R1fn5USjaWku5G71whM"
}No content
Sends a request to reset a Customer account password. As a result, the customer receives a unique token through email.
Note: The request needs to be authorized with a anonymous access token.
To generate an anonymous token, check out the Requesting an anonymous token endpoint.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$Customer email address.
Site from which password reset request was sent
No Content
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
POST /customer/{tenant}/password/reset HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 32
{
"email": "example@customer.com"
}No content
Resets a customer password using the token received through email and sets a new password.
Note: The request needs to be authorized with a anonymous access token.
To generate an anonymous token, check out the Requesting an anonymous token endpoint.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$Token received by the customer through email.
Customer new account password.
No Content
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
POST /customer/{tenant}/password/reset/update HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"token": "beExUmshJC5gnuXk1kET5dCLyQWkrAfKRGFOxVXLcJI13R1fn5USjaWku5G71whM",
"password": "P@ssw0rd123"
}No content
Changes a Customer account password.
Note: The request needs to be authorized with a customer access token.
To generate a customer access token, go to the Logging in a customer endpoint.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$Customer current account password.
Customer new account password.
No Content
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
POST /customer/{tenant}/password/change HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 61
{
"currentPassword": "password123",
"newPassword": "P@ssw0rd123"
}No content
Last updated
Was this helpful?

